/*  Header file for fF84.c                              */

/*  (c) Copyright 1996, Andrew Rambaut & Nick Grassly  */
/*  Department of Zoology, University of Oxford        */

#ifndef _FF84_H_
#define _FF84_H_

#define FF84_NUM_GLOBALS 1

extern double tsTvRatio[MAX_CATEGORIES]; /* this is used in the HKY85 model as well */
extern int estimateFreqs;

void SetBaseFreq(TNode *nodes);

void Init_Params_F84(int printHelp);
int Read_Param_F84(int argc, char **argv, int *index);
int Finish_Params_F84();
void Init_F84(double *globals, TNode *nodes);
void Global_F84(int globalIdx);
void Label_F84(void);
void Done_F84(TNode *nodes);
void SetMatrix_F84(double *matrix, int cat, int branchNo);
void SetAllMatrices_F84(double *matrix, int cat, int useMask);

#endif /* _FF84_H_ */
