/*  Header file for tree.c                             */

/*  (c) Copyright 1996, Andrew Rambaut & Nick Grassly  */
/*  Department of Zoology, University of Oxford        */

#ifndef _TREE_H_
#define _TREE_H_

TTree *CreateTree(short isRooted);
void DisposeTree(TTree *tree);

void ReadTree(FILE *fv, TTree *tree);

void SetTreeClockRates(int incNode, TTree *tree);
void SetTreeLocals(TTree *tree);
void TreeAgesToGaps(TTree *tree);
void TreeGapsToAges(TTree *tree);
void RerootTree(TNode *node, TTree *tree);

void WriteTree(FILE *fv, TTree *tree, int printRates);
void PrintBranchLengths(TTree *tree);


void SplitGapToAge(TNode *split);


#endif /* _TREE_H_ */

